Index: src/Actions/CommandAction/BondLengthTableAction.cpp
===================================================================
--- src/Actions/CommandAction/BondLengthTableAction.cpp	(revision 37ef6d9c81dd05d5433115e175bac28b62275986)
+++ src/Actions/CommandAction/BondLengthTableAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -76,13 +76,15 @@
     std::ifstream input(params.BondGraphFileName.get().string().c_str());
     if ((input.good()) && (BG->LoadBondLengthTable(input))) {
-      LOG(0, "Bond length table parsed successfully.");
+      LOG(1, "Bond length table parsed successfully.");
       input.close();
       return ActionState::ptr(UndoState);
     } else {
-      ELOG(1, "Bond length table parsing failed.");
+      STATUS("Bond length table "+params.BondGraphFileName.get().string()
+          +" parsing failed.");
       input.close();
     }
   } else {
-    ELOG(1, "Bond length table loading failed.");
+    STATUS("Bond length table "+params.BondGraphFileName.get().string()
+        +" loading failed.");
   }
   // recover bond graph
Index: src/Actions/CommandAction/ElementDbAction.cpp
===================================================================
--- src/Actions/CommandAction/ElementDbAction.cpp	(revision 37ef6d9c81dd05d5433115e175bac28b62275986)
+++ src/Actions/CommandAction/ElementDbAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -81,9 +81,9 @@
   periode->CleanupPeriodtable();
   if (periode->LoadPeriodentafel(configuration->databasepath)) {
-    LOG(0, "Element list loaded successfully.");
+    STATUS("Element list loaded successfully.");
     //periode->Output();
     return ActionState::ptr(UndoState);
   } else {
-    LOG(0, "Element list loading failed.");
+    STATUS("Element list loading failed.");
     delete UndoState;
     return Action::failure;
@@ -118,9 +118,9 @@
   periode->CleanupPeriodtable();
   if (periode->LoadPeriodentafel(configuration->databasepath)) {
-    LOG(0, "Element list loaded successfully.");
+    STATUS("Redoing Element list loaded successfully.");
     //periode->Output();
     return ActionState::ptr(_state);
   } else {
-    LOG(0, "Element list loading failed.");
+    STATUS("Redoing Element list loading failed.");
     return Action::failure;
   }
Index: src/Actions/CommandAction/HelpAction.cpp
===================================================================
--- src/Actions/CommandAction/HelpAction.cpp	(revision 37ef6d9c81dd05d5433115e175bac28b62275986)
+++ src/Actions/CommandAction/HelpAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -98,5 +98,5 @@
       std::cout << std::endl;
     } else {
-      ELOG(1, "No action is known by the name " << params.actionname.get() << ".");
+      STATUS("No action is known by the name "+params.actionname.get()+".");
       return Action::failure;
     }
Index: src/Actions/CommandAction/LoadSessionAction.cpp
===================================================================
--- src/Actions/CommandAction/LoadSessionAction.cpp	(revision 37ef6d9c81dd05d5433115e175bac28b62275986)
+++ src/Actions/CommandAction/LoadSessionAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -60,8 +60,10 @@
   if (executePythonScript(params.filename.get().string()))
     return Action::success;
-  else
+  else {
+    STATUS("Failed executing python script.");
     return Action::failure;
+  }
 #else
-  ELOG(1, "Python capabilities have not been compiled in.");
+  STATUS("Python capabilities have not been compiled in.");
   return Action::failure;
 #endif
Index: src/Actions/CommandAction/VersionAction.cpp
===================================================================
--- src/Actions/CommandAction/VersionAction.cpp	(revision 37ef6d9c81dd05d5433115e175bac28b62275986)
+++ src/Actions/CommandAction/VersionAction.cpp	(revision d8821e62974799dc0fa0b06ad6a9ec1bc73b57a8)
@@ -49,5 +49,5 @@
 /** =========== define the function ====================== */
 ActionState::ptr CommandVersionAction::performCall() {
-  LOG(1, "STATUS: Version of the program is " << MOLECUILDERVERSION << ".");
+  STATUS("Version of the program is "+toString(MOLECUILDERVERSION)+".");
   return Action::success;
 }
